Subject: What Tree is This?

From: "Robin M. Lee" <[email-masked]>
Date: Mon, 20 May 1996 15:23:49 -0700

Can someone identify this tree based on my description of its
leaves?  I saw the tree in a park in Claremont, which is in
southern California.  The tree was probably thirty feet tall.

The leaves were about 6 inches long, lobed (about three to five
lobes, with a web between the lobes; I believe it is called
"palmately lobed"), and had a felt-like texture.  The texture
of the leaves was what impressed me; I could drape a leaf over
my hand like a soft cloth.  The leaves appeared to be covered
with small "hairs", as did the leave stems.  Forgive my
terminology; I am not a botanist.

What is the name of this tree?  Do many trees in southern
California have leaves like this?

Thanks.